io.vertx.ext.web.templ

## Interface JadeTemplateEngine

- All Superinterfaces:
    JadeTemplateEngine, TemplateEngine

  Deprecated.
  please use `JadeTemplateEngine` instead.

      @Deprecated
      public interface JadeTemplateEngine
      extends JadeTemplateEngine

  A template engine that uses Jade.
  Author:
    Tim Fox

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.ext.web.templ.jade.JadeTemplateEngine

      `DEFAULT_MAX_CACHE_SIZE, DEFAULT_TEMPLATE_EXTENSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JadeTemplateEngine` | `create(Vertx vertx)` Deprecated. Create a template engine using defaults
    `default void` | `render(RoutingContext context, String templateFileName, Handler<AsyncResult<Buffer>> handler)` Deprecated.

    - ### Methods inherited from interface io.vertx.ext.web.templ.jade.JadeTemplateEngine

      `getJadeConfiguration, setExtension, setMaxCacheSize`

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `isCachingEnabled, render, render`

- - ### Method Detail

    - #### create

          static JadeTemplateEngine create(Vertx vertx)

      Deprecated.
      Create a template engine using defaults
      Specified by:
        `create` in interface `JadeTemplateEngine`
      Returns:
        the engine

    - #### render

          @Deprecated
          default void render(RoutingContext context,
                                          String templateFileName,
                                          Handler<AsyncResult<Buffer>> handler)

      Deprecated.
      Render the template. Template engines that support partials/fragments should extract the template base path from the template filename up to the last file separator. Some engines support localization, for these engines, there is a predefined key "lang" to specify the language to be used in the localization, the format should follow the standard locale formats e.g.: "en-gb", "pt-br", "en".
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
        `handler` - the handler that will be called with a result containing the buffer or a failure.

Copyright © 2021 Eclipse. All rights reserved.